cpp_src = $(wildcard *.cpp) 

cpp_obj = $(cpp_src:.cpp=.o)
c_obj = $(c_src:.c=.o)
CC = g++ 
CFLAGS = -Wall -pedantic
LDFLAGS = 
EXEC = runtest


all : $(EXEC)

$(EXEC): $(cpp_obj) $(c_obj)
	$(CC) -pthread -o $@ $^ $(LDFLAGS) 
 
clean: 
	rm -rf $(c_obj) $(cpp_obj) $(EXEC)

cleanall: 
	rm -rf $(c_obj) $(cpp_obj) $(EXEC)
